io.vertx.core

## Interface Handler<E>

- All Known Subinterfaces:
    ApolloWSHandler, AuthHandler, AuthHandler, AuthHandler, BaseBridgeEvent, BasicAuthHandler, BodyHandler, BodyStream<T>, BridgeEvent, BridgeEvent, ChainAuthHandler, CompositeFuture, CookieHandler, CorsHandler, CSRFHandler, DigestAuthHandler, ErrorHandler, FaviconHandler, FormLoginHandler, Future<T>, GraphiQLHandler, GraphQLHandler, HandlerReceiverAdaptor<T>, HealthCheckHandler, HTTPOperationRequestValidationHandler, HTTPOperationRequestValidationHandler, HTTPOperationRequestValidationHandler, HTTPRequestValidationHandler, HystrixMetricHandler, JsonParser, JWTAuthHandler, LoggerHandler, MultiTenantHandler, OAuth2AuthHandler, OpenAPI3RequestValidationHandler, Promise<T>, RecordParser, RedirectAuthHandler, ResponseContentTypeHandler, ResponseTimeHandler, Router, SessionHandler, SockJSHandler, SockJSTermHandler, StaticHandler, StompServerHandler, TemplateHandler, TimeoutHandler, UserSessionHandler, ValidationHandler, ValidationHandler, ValidationHandler, VirtualHostHandler
  All Known Implementing Classes:
    ApolloWSHandler, ApolloWSHandler, BasicAuthHandler, BasicAuthHandler, BodyHandler, BodyHandler, ChainAuthHandler, ChainAuthHandler, CookieHandler, CookieHandler, CorsHandler, CorsHandler, CSRFHandler, CSRFHandler, DefaultAbortHandler, DefaultAckHandler, DefaultBeginHandler, DefaultCommitHandler, DefaultConnectHandler, DefaultNackHandler, DefaultSendHandler, DefaultSubscribeHandler, DefaultUnsubscribeHandler, DigestAuthHandler, DigestAuthHandler, ErrorHandler, ErrorHandler, FaviconHandler, FaviconHandler, FormLoginHandler, FormLoginHandler, GraphiQLHandler, GraphiQLHandler, GraphQLHandler, GraphQLHandler, HealthCheckHandler, HealthCheckHandler, HTTPRequestValidationHandler, HTTPRequestValidationHandler, HystrixMetricHandler, HystrixMetricHandler, JsonParser, JsonParser, JWTAuthHandler, JWTAuthHandler, LoggerHandler, LoggerHandler, MultiTenantHandler, MultiTenantHandler, OAuth2AuthHandler, OAuth2AuthHandler, OpenAPI3RequestValidationHandler, OpenAPI3RequestValidationHandler, ProxyHandler, RecordParser, RecordParser, RedirectAuthHandler, RedirectAuthHandler, ResponseContentTypeHandler, ResponseContentTypeHandler, ResponseTimeHandler, ResponseTimeHandler, Router, Router, SessionHandler, SessionHandler, SockJSHandler, SockJSHandler, SockJSTermHandler, SockJSTermHandler, StaticHandler, StaticHandler, StompServerHandler, StompServerHandler, TemplateHandler, TemplateHandler, TimeoutHandler, TimeoutHandler, UserSessionHandler, UserSessionHandler, VirtualHostHandler, VirtualHostHandler
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface Handler<E>

  A generic event handler.

  This interface is used heavily throughout Vert.x as a handler for all types of asynchronous occurrences.

  Author:
    Tim Fox

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(E event)` Something has happened, so handle it.

- - ### Method Detail

    - #### handle

          void handle(E event)

      Something has happened, so handle it.
      Parameters:
        `event` - the event to handle

Copyright © 2021 Eclipse. All rights reserved.